// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: generationmodule/generationmodule.proto

package openfmb.generationmodule;

public interface GenerationStatusOrBuilder extends
    // @@protoc_insertion_point(interface_extends:generationmodule.GenerationStatus)
    com.google.protobuf.MessageOrBuilder {

  /**
   * <pre>
   * UML inherited base object
   * </pre>
   *
   * <code>.commonmodule.StatusValue statusValue = 1 [(.uml.option_parent_message) = true];</code>
   * @return Whether the statusValue field is set.
   */
  boolean hasStatusValue();
  /**
   * <pre>
   * UML inherited base object
   * </pre>
   *
   * <code>.commonmodule.StatusValue statusValue = 1 [(.uml.option_parent_message) = true];</code>
   * @return The statusValue.
   */
  openfmb.commonmodule.StatusValue getStatusValue();
  /**
   * <pre>
   * UML inherited base object
   * </pre>
   *
   * <code>.commonmodule.StatusValue statusValue = 1 [(.uml.option_parent_message) = true];</code>
   */
  openfmb.commonmodule.StatusValueOrBuilder getStatusValueOrBuilder();

  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.generationmodule.GenerationStatusZGEN generationStatusZGEN = 2;</code>
   * @return Whether the generationStatusZGEN field is set.
   */
  boolean hasGenerationStatusZGEN();
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.generationmodule.GenerationStatusZGEN generationStatusZGEN = 2;</code>
   * @return The generationStatusZGEN.
   */
  openfmb.generationmodule.GenerationStatusZGEN getGenerationStatusZGEN();
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.generationmodule.GenerationStatusZGEN generationStatusZGEN = 2;</code>
   */
  openfmb.generationmodule.GenerationStatusZGENOrBuilder getGenerationStatusZGENOrBuilder();
}
